Package be.fgov.ehealth.commons.protocol.v2

# Class AuthorRequestType

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.commons.protocol.v2.AuthorRequestType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AuthorPaginationRequestType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:23+02:00", comments="JAXB RI v4.0.5") public class AuthorRequestType extends RequestType implements Serializable
eHealth SOA Request Type for Services that require an Author as input.

Java class for AuthorRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AuthorRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="Author" type="{urn:be:fgov:ehealth:commons:core:v2}AuthorType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthorRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Author`
  `getAuthor()`
  Gets the value of the author property.
  `void`
  `setAuthor(Author value)`
  Sets the value of the author property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuthorRequestType

    public AuthorRequestType()

- ## Method Details

  - ### getAuthor

    public Author getAuthor()
    Gets the value of the author property.
    Returns:
      possible object is `Author`

  - ### setAuthor

    public void setAuthor(Author value)
    Sets the value of the author property.
    Parameters:
      `value` - allowed object is `Author`